> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhooks

> List all webhooks for a tenant



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json get /v2/webhooks/
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/webhooks/:
    get:
      tags:
        - Webhooks
      summary: List Webhooks
      description: List all webhooks for a tenant
      parameters:
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: query
          name: tenantId
          required: true
          description: Tenant ID
        - schema:
            type: string
          in: query
          name: query
          required: false
          description: Search webhooks by type or URL
        - schema:
            type: string
            maxLength: 50
          in: query
          name: sortBy
          required: false
          description: Sort column
        - schema:
            type: string
            enum:
              - asc
              - desc
          in: query
          name: sortDirection
          required: false
          description: Sort direction
        - schema:
            default: 1
            type: integer
            minimum: 0
            maximum: 1
          in: query
          name: paginated
          required: false
          description: 1 = paginated response, 0 = full list
        - schema:
            type: number
          in: query
          name: page
          required: false
          description: Page number
        - schema:
            type: number
          in: query
          name: recordsPerPage
          required: false
          description: Records per page
      responses:
        '200':
          description: Webhook list (array when unpaginated, object when paginated)
          content:
            application/json:
              schema:
                anyOf:
                  - type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                          description: Webhook ID
                        tenantId:
                          type: number
                          description: Tenant ID
                        type:
                          type: string
                          description: Webhook event type
                        url:
                          type: string
                          description: Callback URL
                      required:
                        - id
                        - tenantId
                        - type
                        - url
                      additionalProperties: false
                  - type: object
                    properties:
                      records:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: number
                              description: Webhook ID
                            tenantId:
                              type: number
                              description: Tenant ID
                            type:
                              type: string
                              description: Webhook event type
                            url:
                              type: string
                              description: Callback URL
                          required:
                            - id
                            - tenantId
                            - type
                            - url
                          additionalProperties: false
                        description: Paginated webhook list
                      page:
                        type: number
                        description: Current page number
                      maxPage:
                        type: number
                        description: Total number of pages
                      totalRecords:
                        type: number
                        description: Total number of records
                    required:
                      - records
                      - page
                      - maxPage
                      - totalRecords
                    additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````